DevExtreme v25.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery Data Grid - Overview

The JavaScript DataGrid allows you to export its contents to a PDF document.

To enable PDF export operations, import the jsPDF library and set the export.enabled property to true.

Call the exportDataGrid(options) method that belongs to the pdfExporter module. Specify at least two required properties:

To review implementation details, see the exportDataGrid(options) method call in onExporting handler. You can also set allowExportSelectedData to true to export only selected rows.

Backend API
// This code is used for backwards compatibility with the older jsPDF variable name // Read more: https://github.com/MrRio/jsPDF/releases/tag/v2.0.0 window.jsPDF = window.jspdf.jsPDF; $(() => { $('#gridContainer').dxDataGrid({ dataSource: customers, keyExpr: 'ID', allowColumnReordering: true, showBorders: true, grouping: { autoExpandAll: true, }, selection: { mode: 'multiple', }, paging: { pageSize: 10, }, pager: { visible: true, }, columns: [ 'CompanyName', 'Phone', 'Fax', 'City', { dataField: 'State', groupIndex: 0, }, ], export: { enabled: true, formats: ['pdf'], allowExportSelectedData: true, }, onExporting(e) { const doc = new jsPDF(); DevExpress.pdfExporter.exportDataGrid({ jsPDFDocument: doc, component: e.component, indent: 5, }).then(() => { doc.save('Companies.pdf'); }); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.7/css/dx.light.css" /> <script src="js/dx.all.js?v=25.2.7"></script> <script src="data.js"></script> <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/3.0.1/jspdf.umd.min.js" integrity="sha384-ytX5osgYad9GPnagB0k+CxKTir/bsE7AfpzvCnQ7owfeWuDd+2l2y0PSIqRK+z/2" crossorigin="anonymous" ></script> <script src="index.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="gridContainer"></div> </div> </body> </html>
const customers = [{ ID: 1, CompanyName: 'Super Mart of the West', Address: '702 SW 8th Street', City: 'Bentonville', State: 'Arkansas', Zipcode: 72716, Phone: '(800) 555-2797', Fax: '(800) 555-2171', }, { ID: 2, CompanyName: 'K&S Music', Address: '1000 Nicllet Mall', City: 'Minneapolis', State: 'Minnesota', Zipcode: 55403, Phone: '(612) 304-6073', Fax: '(612) 304-6074', }, { ID: 3, CompanyName: 'Tom\'s Club', Address: '999 Lake Drive', City: 'Issaquah', State: 'Washington', Zipcode: 98027, Phone: '(800) 955-2292', Fax: '(800) 955-2293', }, { ID: 4, CompanyName: 'E-Mart', Address: '3333 Beverly Rd', City: 'Hoffman Estates', State: 'Illinois', Zipcode: 60179, Phone: '(847) 286-2500', Fax: '(847) 286-2501', }, { ID: 5, CompanyName: 'Walters', Address: '200 Wilmot Rd', City: 'Deerfield', State: 'Illinois', Zipcode: 60015, Phone: '(847) 940-2500', Fax: '(847) 940-2501', }, { ID: 6, CompanyName: 'StereoShack', Address: '400 Commerce S', City: 'Fort Worth', State: 'Texas', Zipcode: 76102, Phone: '(817) 820-0741', Fax: '(817) 820-0742', }, { ID: 7, CompanyName: 'Circuit Town', Address: '2200 Kensington Court', City: 'Oak Brook', State: 'Illinois', Zipcode: 60523, Phone: '(800) 955-2929', Fax: '(800) 955-9392', }, { ID: 8, CompanyName: 'Premier Buy', Address: '7601 Penn Avenue South', City: 'Richfield', State: 'Minnesota', Zipcode: 55423, Phone: '(612) 291-1000', Fax: '(612) 291-2001', }, { ID: 9, CompanyName: 'ElectrixMax', Address: '263 Shuman Blvd', City: 'Naperville', State: 'Illinois', Zipcode: 60563, Phone: '(630) 438-7800', Fax: '(630) 438-7801', }, { ID: 10, CompanyName: 'Video Emporium', Address: '1201 Elm Street', City: 'Dallas', State: 'Texas', Zipcode: 75270, Phone: '(214) 854-3000', Fax: '(214) 854-3001', }, { ID: 11, CompanyName: 'Screen Shop', Address: '1000 Lowes Blvd', City: 'Mooresville', State: 'North Carolina', Zipcode: 28117, Phone: '(800) 445-6937', Fax: '(800) 445-6938', }, { ID: 12, CompanyName: 'Braeburn', Address: '1 Infinite Loop', City: 'Cupertino', State: 'California', Zipcode: 95014, Phone: '(408) 996-1010', Fax: '(408) 996-1012', }, { ID: 13, CompanyName: 'PriceCo', Address: '30 Hunter Lane', City: 'Camp Hill', State: 'Pennsylvania', Zipcode: 17011, Phone: '(717) 761-2633', Fax: '(717) 761-2334', }, { ID: 14, CompanyName: 'Ultimate Gadget', Address: '1557 Watson Blvd', City: 'Warner Robbins', State: 'Georgia', Zipcode: 31093, Phone: '(995) 623-6785', Fax: '(995) 623-6786', }, { ID: 15, CompanyName: 'Electronics Depot', Address: '2455 Paces Ferry Road NW', City: 'Atlanta', State: 'Georgia', Zipcode: 30339, Phone: '(800) 595-3232', Fax: '(800) 595-3231', }, { ID: 16, CompanyName: 'EZ Stop', Address: '618 Michillinda Ave.', City: 'Arcadia', State: 'California', Zipcode: 91007, Phone: '(626) 265-8632', Fax: '(626) 265-8633', }, { ID: 17, CompanyName: 'Clicker', Address: '1100 W. Artesia Blvd.', City: 'Compton', State: 'California', Zipcode: 90220, Phone: '(310) 884-9000', Fax: '(310) 884-9001', }, { ID: 18, CompanyName: 'Store of America', Address: '2401 Utah Ave. South', City: 'Seattle', State: 'Washington', Zipcode: 98134, Phone: '(206) 447-1575', Fax: '(206) 447-1576', }, { ID: 19, CompanyName: 'Zone Toys', Address: '1945 S Cienega Boulevard', City: 'Los Angeles', State: 'California', Zipcode: 90034, Phone: '(310) 237-5642', Fax: '(310) 237-5643', }, { ID: 20, CompanyName: 'ACME', Address: '2525 E El Segundo Blvd', City: 'El Segundo', State: 'California', Zipcode: 90245, Phone: '(310) 536-0611', Fax: '(310) 536-0612', }];

Need to create printable documents simply? Try our .NET-based DevExpress Reports: they ship with an intuitive Visual Studio Report Designer, Web Report Designer for end-user ad-hoc reporting, and a rich set of report controls, including cross tabs and charts.

You can generate a variety of report types — from simple mail-merge, table, and vertical reports to master-detail (hierarchical) and cross-tab reports, print or export them to PDF, Excel, and other formats.

Develop using VS Code? Leverage the capabilities of a brand new VS Code Report Designer extension to create and edit reports/documents on any platform, be it Windows, macOS, or Linux.

Get Started with DevExpress Reports | Explore Demos

import React from 'react';
import DataGrid, {
Column,
Grouping,
Export,
Selection,
Paging,
type DataGridTypes,
Pager,
} from 'devextreme-react/data-grid';
import { jsPDF } from 'jspdf';
import { exportDataGrid } from 'devextreme-react/common/export/pdf';
import { customers } from './data.ts';
const exportFormats = ['pdf'];
const onExporting = (e: DataGridTypes.ExportingEvent) => {
const doc = new jsPDF();
exportDataGrid({
jsPDFDocument: doc,
component: e.component,
indent: 5,
}).then(() => {
doc.save('Companies.pdf');
});
};
const App = () => (
<DataGrid
dataSource={customers}
keyExpr="ID"
allowColumnReordering={true}
showBorders={true}
onExporting={onExporting}
>
<Selection mode="multiple" />
<Grouping autoExpandAll={true} />
<Paging defaultPageSize={10} />
<Pager visible={true} />
<Export enabled={true} formats={exportFormats} allowExportSelectedData={true} />
<Column dataField="CompanyName" dataType="string" />
<Column dataField="Phone" dataType="string" />
<Column dataField="Fax" dataType="string" />
<Column dataField="City" dataType="string" />
<Column dataField="State" dataType="string" groupIndex={0} />
</DataGrid>
);
export default App;
import React from 'react';
import DataGrid, {
Column,
Grouping,
Export,
Selection,
Paging,
Pager,
} from 'devextreme-react/data-grid';
import { jsPDF } from 'jspdf';
import { exportDataGrid } from 'devextreme-react/common/export/pdf';
import { customers } from './data.js';
const exportFormats = ['pdf'];
const onExporting = (e) => {
const doc = new jsPDF();
exportDataGrid({
jsPDFDocument: doc,
component: e.component,
indent: 5,
}).then(() => {
doc.save('Companies.pdf');
});
};
const App = () => (
<DataGrid
dataSource={customers}
keyExpr="ID"
allowColumnReordering={true}
showBorders={true}
onExporting={onExporting}
>
<Selection mode="multiple" />
<Grouping autoExpandAll={true} />
<Paging defaultPageSize={10} />
<Pager visible={true} />
<Export
enabled={true}
formats={exportFormats}
allowExportSelectedData={true}
/>
<Column
dataField="CompanyName"
dataType="string"
/>
<Column
dataField="Phone"
dataType="string"
/>
<Column
dataField="Fax"
dataType="string"
/>
<Column
dataField="City"
dataType="string"
/>
<Column
dataField="State"
dataType="string"
groupIndex={0}
/>
</DataGrid>
);
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const customers = [{
ID: 1,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
}, {
ID: 2,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
}, {
ID: 3,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
}, {
ID: 4,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
}, {
ID: 5,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
}, {
ID: 6,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
}, {
ID: 7,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
}, {
ID: 8,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
}, {
ID: 9,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
}, {
ID: 10,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
}, {
ID: 11,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
}, {
ID: 12,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
}, {
ID: 13,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
}, {
ID: 14,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
}, {
ID: 15,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
}, {
ID: 16,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
}, {
ID: 17,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
}, {
ID: 18,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
}, {
ID: 19,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
}, {
ID: 20,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'fflate': 'npm:fflate/esm/browser.js',
'jspdf': 'npm:jspdf@4.2.1/dist/jspdf.umd.min.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const customers = [
{
ID: 1,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
},
{
ID: 2,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
},
{
ID: 3,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
},
{
ID: 4,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
},
{
ID: 5,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
},
{
ID: 6,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
},
{
ID: 7,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
},
{
ID: 8,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
},
{
ID: 9,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
},
{
ID: 10,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
},
{
ID: 11,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
},
{
ID: 12,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
},
{
ID: 13,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
},
{
ID: 14,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
},
{
ID: 15,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
},
{
ID: 16,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
},
{
ID: 17,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
},
{
ID: 18,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
},
{
ID: 19,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
},
{
ID: 20,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

<template>
<div>
<DxDataGrid
:allow-column-reordering="true"
:data-source="customers"
key-expr="ID"
:show-borders="true"
@exporting="onExporting"
>
<DxColumn data-field="CompanyName"/>
<DxColumn data-field="Phone"/>
<DxColumn data-field="Fax"/>
<DxColumn data-field="City"/>
<DxColumn
:group-index="0"
data-field="State"
/>
<DxGrouping :auto-expand-all="true"/>
<DxPaging :page-size="10"/>
<DxPager :visible="true"/>
<DxSelection mode="multiple"/>
<DxExport
:enabled="true"
:formats="['pdf']"
:allow-export-selected-data="true"
/>
</DxDataGrid>
</div>
</template>
<script setup lang="ts">
import {
DxDataGrid,
DxColumn,
DxGrouping,
DxExport,
DxSelection,
DxPaging,
type DxDataGridTypes,
DxPager,
} from 'devextreme-vue/data-grid';
import { jsPDF } from 'jspdf';
import { exportDataGrid } from 'devextreme-vue/common/export/pdf';
import { customers } from './data.ts';
const onExporting = (e: DxDataGridTypes.ExportingEvent) => {
const doc = new jsPDF();
exportDataGrid({
jsPDFDocument: doc,
component: e.component,
indent: 5,
}).then(() => {
doc.save('Companies.pdf');
});
};
</script>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'fflate': 'npm:fflate/esm/browser.js',
'jspdf': 'npm:jspdf@4.2.1/dist/jspdf.umd.min.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export type Customer = {
ID: number;
CompanyName: string;
Address: string;
City: string;
State: string;
Zipcode: number;
Phone: string;
Fax: string;
};
export const customers: Customer[] = [{
ID: 1,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
}, {
ID: 2,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
}, {
ID: 3,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
}, {
ID: 4,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
}, {
ID: 5,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
}, {
ID: 6,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
}, {
ID: 7,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
}, {
ID: 8,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
}, {
ID: 9,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
}, {
ID: 10,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
}, {
ID: 11,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
}, {
ID: 12,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
}, {
ID: 13,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
}, {
ID: 14,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
}, {
ID: 15,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
}, {
ID: 16,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
}, {
ID: 17,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
}, {
ID: 18,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
}, {
ID: 19,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
}, {
ID: 20,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.7/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

<dx-data-grid
[dataSource]="customers"
keyExpr="ID"
[allowColumnReordering]="true"
[showBorders]="true"
(onExporting)="onExporting($event)"
>
<dxi-data-grid-column dataField="CompanyName"></dxi-data-grid-column>
<dxi-data-grid-column dataField="Phone"></dxi-data-grid-column>
<dxi-data-grid-column dataField="Fax"></dxi-data-grid-column>
<dxi-data-grid-column dataField="City"></dxi-data-grid-column>
<dxi-data-grid-column
dataField="State"
[groupIndex]="0"
></dxi-data-grid-column>
<dxo-data-grid-selection mode="multiple"></dxo-data-grid-selection>
<dxo-data-grid-paging [pageSize]="10"></dxo-data-grid-paging>
<dxo-data-grid-pager [visible]="true"></dxo-data-grid-pager>
<dxo-data-grid-grouping [autoExpandAll]="true"></dxo-data-grid-grouping>
<dxo-data-grid-export
[enabled]="true"
[formats]="['pdf']"
[allowExportSelectedData]="true"
></dxo-data-grid-export>
</dx-data-grid>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { jsPDF } from 'jspdf';
import { exportDataGrid } from 'devextreme-angular/common/export/pdf';
import { DxDataGridModule, DxDataGridTypes } from 'devextreme-angular/ui/data-grid';
import { Service, Customer } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
styleUrls: [`app/app.component.css`],
selector: 'demo-app',
templateUrl: `app/app.component.html`,
providers: [Service],
imports: [
DxDataGridModule,
],
})
export class AppComponent {
customers: Customer[];
constructor(service: Service) {
this.customers = service.getCustomers();
}
onExporting(e: DxDataGridTypes.ExportingEvent) {
const doc = new jsPDF();
exportDataGrid({
jsPDFDocument: doc,
component: e.component,
indent: 5,
}).then(() => {
doc.save('Companies.pdf');
});
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
import { Injectable } from '@angular/core';
export class Customer {
ID: number;
CompanyName: string;
Address: string;
City: string;
State: string;
Zipcode: number;
Phone: string;
Fax: string;
}
const customers: Customer[] = [{
ID: 1,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
}, {
ID: 2,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
}, {
ID: 3,
CompanyName: 'Tom\'s Club',
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
}, {
ID: 4,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
}, {
ID: 5,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
}, {
ID: 6,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
}, {
ID: 7,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
}, {
ID: 8,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
}, {
ID: 9,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
}, {
ID: 10,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
}, {
ID: 11,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
}, {
ID: 12,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
}, {
ID: 13,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
}, {
ID: 14,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
}, {
ID: 15,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
}, {
ID: 16,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
}, {
ID: 17,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
}, {
ID: 18,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
}, {
ID: 19,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
}, {
ID: 20,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
}];
@Injectable()
export class Service {
getCustomers() {
return customers;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'fflate': 'npm:fflate/esm/browser.js',
'jspdf': 'npm:jspdf@4.2.1/dist/jspdf.umd.min.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "21.2.17"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>